Update Content Library Project Permissions

Update Content Library Project Permissions
Update the specified content library's project permissions.

Update the specified content library's project permissions.

Request
URI
PUT
https://{api_host}/cloudapi/v1/contentLibraries/{libraryUrn}/projectPermissions
COPY
Path Parameters
string
libraryUrn
Required

libraryUrn


Request Body
ProjectPermissions of type(s) application/json
Required
This request body class requires all of the following: Page , InlineProjectPermissions1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "permissions": "string",
            "projectAssignment": {
                "name": "string",
                "id": "string"
            }
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/v1/contentLibraries/{libraryUrn}/projectPermissions